# Get all images for session

Retrieves all the images that were submitted for the session. The response contains only the image metadata, which includes the image ID that can be used to fetch the actual image.

Endpoint: GET /api/v1/verification/{sid}/images
Security: verify_access_token

## Path parameters:

  - `sid` (any, required)
    Session ID returned upon session creation or in the callback URL upon completing the verification

## Response 200 fields (application/json):

  - `session_images` (array, required)

  - `session_images.id` (string, required)
    The ID of the image

  - `session_images.format` (string)
    The data format of the image. Currently, only jpg is supported

  - `session_images.type` (string)
    The type of content in the image
    Enum: "document_front", "document_back", "selfie"

  - `session_images.rejected` (boolean, required)
    true if the image was rejected for processing - i.e it's too blurry, the document is obstructed, etc

  - `session_images.original` (boolean, required)
    True if this is the original image uploaded by the user, false if it was refined by our system

  - `session_images.original_id` (string)
    The ID of the original image, if this is a refined image


## Response 400 fields

## Response 401 fields
